body{
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
    font-weight: 300;
    letter-spacing: 0.2px;
    color: #000;
    margin: 
}

h1{
    font-family: 'Spline Sans', sans-serif;
    font-size: 3rem;
	/*margin: 5px 0px 0px;*/
	padding-top: 0.75em;
}

p {
    line-height: 1.5em;
}

.background-entry {
    background: #292938;
    color: #d7d7d7;
}

/* Role */
.descriptor {
	margin: 1em 0em 0em;
}

/* Social icons */

.social-links {
	color: #FFFFFF;
	font-size: 1.5rem;
	padding: 0px 3px 0px;
}

.social-links:hover {
	color: #B7CEEC;
	transition: 0.2s;
}

.about-para {
	margin-top: 1.5rem;
	margin-bottom: 3rem;
}

/* About paragraph */
.about-para a{
	color: #FFFFFF;
}

.about-para a:hover{
	color: #FFFFFF;
	text-decoration: underline;
    background-color: #007AE6;
}

/* Main copy */
h2{
    padding-top: 3rem;
	font-family: 'Spline Sans', sans-serif;
	font-weight: 700;
	font-size: 2rem;
	color: #6E7281;
}

h3 {
    font-size: 1.3em;
    font-weight: 500;
    padding-top: 1em;
}

a {
    text-decoration: underline;
    color: #364E91;
}

a:hover, a:focus {
    text-decoration: underline;
    /*background-color: #007AE6;*/
    color: #FFFFFF;
}

.publ {
		border-left: 2px solid #ddd;
		color: #000000;
		text-align: left;
		padding-top: 3px;
}

.publ a:hover, .publ a:focus {
	text-decoration: underline;
    background-color: #007AE6;
    color: #FFFFFF;
}


li{
    text-align: left;
}

/* Footer */
.institution {
	font-size: 14px;
	color: #444;
}

.instilogo {
	height: 50px;
}

#footer a:hover{
	color: #FFFFFF;
	text-decoration: underline;
    background-color: #007AE6;
}

body button {
    display: inline-block;
    margin-top: 15px;
    padding: 15px 25px;
    transition: .35s ease all;
    background: transparent;
    border: 2px solid #555;
    border-radius: 25px;
    font-size: .7em;
    font-weight: 400;
    letter-spacing: 2px;
    color: #555;
}

body button:hover, button:focus {
    background: #007AE6;
    border-color: #007AE6;
    text-decoration: none;
    color: #fff;
}

.heading {
    margin: 30px 0 15px 0;
    position: relative;
    display: inline-block;
}

.heading:after {
    position: absolute;
    height: 4px;
    width: 100%;
    top: 110%;
    left: 0;
    right: 0;
    margin: 0 auto;
    z-index: -1;
    content: '';
}

.link-rounded-gray {
    margin-top: 60px;
    position: relative;
    margin-right: 30px;
    text-align: right;
    z-index: 999;
}

.link-rounded-gray a{
    padding: 14px 25px;
    border-radius: 25px;
    background-color: #F1F7F9;
    text-decoration: none;
    font-size: .9em;
    font-weight: 600;
    letter-spacing: 1px;
    color: #1B0AFF;
}

.link-rounded-gray a:hover, a:active {
    background: #007AE6;
    border-color: #007AE6;
    text-decoration: none;
    color: #fff;
}

#error { 
    text-align: center;
    padding-top: 2em;
}

#error h2 {
    margin-top: 2em;
    color: #b6b6b6;
}

.link-rounded-white {
	margin-top: 40px;
    position: relative;
    text-align: center;
}

.link-rounded-white a{
    padding: 15px 25px;
    border-radius: 25px;
    border: 2px solid #fff;
    text-transform: uppercase;
    text-decoration: none;
    font-size: .7em;
    font-weight: 400;
    letter-spacing: 2px;
    color: #fff;
}

.link-rounded-white a:hover, a:active {
    background: #fff;
    border-color: #fff;
    text-decoration: none;
    color: #26262a;
}

/* Styling when Javascript is disabled in browser window.
   This hides different functionality in the timeline, header
   and navigation features.
   */

.no-js #experience-timeline{
    max-width: 750px;
}

.no-js #experience-timeline>div{
    padding: 2em;
    margin-bottom: 0.5em;
    background: #fff;
    border-radius: 0.5em;
}

.no-js #experience-timeline>div h3 {
    margin: 0;
    display: inline-block;
    font-size: 1.2em;
    font-weight: 400;
    color: #374054;
}

.no-js #experience-timeline>div h4 {
    margin: 0 0 15px 0;
    font-style: oblique;
    font-size: 0.95em;
    font-weight: 400;
    color: #000;
}

.no-js #experience-timeline>div p {
    margin: 0;
    text-align: center;
    color: #000;
    font-size: 0.9em;
}

.no-js #experience-timeline>div ul li {
    text-align: left;
    font-size: 0.9em;
}

.no-js #experience-timeline:before,
.no-js #experience-timeline:after {
    content: none
}

.no-js .pause-play,
.no-js #to-top {
    display: none;
}


/* Header animations and formatting, including navigation. This also includes
   Javascript-enabled features, such as the pause/play button. Navbar-top is used as more elements besides the top-nav can be integrated, such as a logo.
   */
#navbar-top {
    width: 100%;
    position: absolute;
    display: block;
}

.top-nav {
    position: relative;
    z-index: 999;
    margin-top: 40px;
    margin-left: 25px;
    text-align: left;
    color: #fff;
}

header {
    position: absolute;
    right: 2em;
    top: 50%;
    z-index: 10;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    -webkit-animation-name: dropHeader;
    animation-name: dropHeader;
    -webkit-animation-iteration-count: 1;
    animation-iteration-count: 1;
    -webkit-animation-timing-function: ease;
    animation-timing-function: ease;
    -webkit-animation-duration: 0.75s;
    animation-duration: 0.75s;
    text-align: center;
}

@-webkit-keyframes dropHeader {
    0% {
        -webkit-transform: translateY(-180%);
        transform: translateY(-180%)
    }
    100% {
        -webkit-transform: translateY(-50%);
        transform: translateY(-50%)
    }
}

@keyframes dropHeader {
    0% {
        -webkit-transform: translateY(-180%);
        transform: translateY(-180%)
    }
    100% {
        -webkit-transform: translateY(-50%);
        transform: translateY(-50%)
    }
}

header li {
    display: inline-block;
}

#menu.active {
    display: block;
}

.navlink {
    display: block;
    margin-left: -4px;
    padding: 13px 17px;
    transition: .35s ease all;
    padding-bottom: 15px;
    text-transform: uppercase;
    text-decoration: none;
    text-align: center;
    font-size: .8em;
    font-weight: 400;
    letter-spacing: 3px;
    color: #fff;
}

.navlink:hover, .navlink:focus {
    border-bottom: 3px solid #FFFFFF;
    text-decoration: none;
    color: #FFFFFF;
    background: transparent;
} 

.navlink:active {
    border-radius: 0px;
}

#lead {
    position: relative;
    overflow: hidden;
    height: 100vh;
    min-height: 500px;
    max-height: 1080px;
    padding: 15px;
    background: url(../lead-bg.jpg);
    background-size: cover;
}

#lead-content {
    position: absolute;
    z-index: 10;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center
}

#lead-content h1 {
    margin: 0;
    line-height: 0.9em;
    font-size: 5em;
    font-weight: 300;
    letter-spacing: 0.01em;
    color: #fff;
}

#lead-content h2 {
    margin: 0;
    margin-bottom: 1em;
    margin-top: 1.5em;
    text-transform: inherit;
    font-weight: 300;
    font-size:1.25em;
    color: #d7d7d7;
}

#lead-overlay {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
    height: 100%;
    width: 100%;
    background: rgba(18, 18, 18, 0.66);
}

.pause-play{
    width: 44px;
    margin: 0 auto;
    border: 2px solid #fff;
}

.pause-play i{
    margin-left: -7.5px;
    font-size: 1.5em;
    color: #fff;
}

#play {
    display: none;
}

.playing #play{
    display: inline-block;
    width: 20%;
}

.playing #pause{
    display: none;
}

/* Formatting for images 
*/
#awards img {
    position: relative;
    width: 100%
}

.profilePicture {
    vertical-align: middle;
    margin-left: 50px;
}

.profilePicture img {
    width: 86%;
    border-radius: 6px;
}

.shadow {
    box-shadow: 0 0 11px rgba(33,33,33,.2); 
}

.project-image-full {
    float: left;
    overflow: hidden;
    width: 100%;
    height: 100%;
    margin-right: 2em;
    margin-bottom: 2em;
    vertical-align: middle;
    border-radius: 0.5em;
}

.project-image-half {
    float: left;
    overflow: hidden;
    width: 550px;
    height: 200px;
    margin-right: 2em;
    margin-bottom: 2em;
    vertical-align: middle;
    border-radius: 0.5em;
}

.project-image {
    float: left;
    overflow: hidden;
    width: 230px;
    height: 230px;
    margin-right: 2em;
    margin-bottom: 2em;
    vertical-align: middle;
    border-radius: 0.5em;
}

a:hover .project-image, a:focus .project-image,{
  box-shadow: 0 0 11px rgba(33,33,33,.6); 
}

.project-image img {
    position: relative;
    vertical-align: middle;
    width: 100%
}

.project-full-length img{
    margin: 2em auto;
    border-radius: 6px;
}

.project-full-length-thumb img{
    margin: 2em auto;
}

.screen-desc-right img{
    float: left;
    height: 50%;
    width: 50%;
    margin-right: 3em;
}

.screen-desc-left img{
    float: right;
    height: 50%;
    width: 50%;
    margin-left: 3em;
}

.copyright img {
    margin-left: 0.7em;
}
.copyright a:hover, a:focus {
    background: transparent;
}

  /**
   * Copyright 2018, CodePen
   * Licensed under the MIT license.
   * https://blog.codepen.io/legal/licensing/
   *
   * @author Gregory Schier: https://codepen.io/gschier/pen/HCoqh;
   * @desc A CSS lightbox that activates on click without Javascript.
   */

.lightbox {
    display: none;
    position: fixed;
    z-index: 999;
    width: 100%;
    height: 100%;
    text-align: center;
    top: 0;
    left: 0;
    background: rgba(0,0,0,0.8);
}

.lightbox img {
    width:65%;
    margin-top: 20%;
}

.lightbox:target {
    outline: none;
    display: block;
    background: rgba(0,0,0,0.8);
}

/* Formatting for project pages, including headers
*/
header.sticky {
    position: fixed;
}

.col-offset-right-2 {
  margin-right: 16.66666667%;
}

.navbar-bottom{
    width: 100%;
    bottom:0;
    height: 250px;
    position: fixed;
    display: block;
    margin-left: 10px;
}

#project-main {
    position: relative;
    padding: 60px 0px;
}

.link-rounded-gray .next{
    display: inline-block;
}

.link-rounded-gray .previous{
    display: block;
    float: left;
}

.background-alt {
    background: #f2f2f5;
}

.background-alt h2 {
    color: #000;
}

.background-alt button {
    display: inline-block;
    margin-top: 15px;
    padding: 15px 25px;
    transition: .35s ease all;
    background: #3C5362;
    border-radius: 25px;
    font-size: .85em;
    font-weight: 600;
    letter-spacing: 1px;
    color: #FFFFFF;
}

.background-alt button:hover, button:focus{
    background: #007AE6;
    border-color: #007AE6;
    text-decoration: none;
    color: #fff;
}

.project-step{
    border-top: 1px solid #dcd9d9;
    margin-top: 30px;
    margin-bottom: 30px;
}

.project-step h2{
    margin-top: 4em;
    text-align: center;
}

.project-step th{
    text-align: left;
    font-weight: 600;
}

.project-step ul{
    list-style-type: circle;
}

.project-step p {
    padding-left: 5em;
    padding-right: 5em;
}

.screen-desc-right{
    float: right;
    margin-top: 4em;
}

.screen-desc-right p{
    padding: 0px;
}

.screen-desc-left{
    float: left;
    margin-top: 4em;
}

.screen-desc-left p{
    padding-left: 0px;
}

/* Special section formatting
*/

#about {
    padding: 75px 15px; 
    border-bottom: 1px solid #dcd9d9
}

#awards {
    padding: 50px 15px;
    text-align: center;
    border-bottom: 1px solid #dcd9d9
}

#publications {
    padding: 50px 15px;
    text-align: left;
    border-bottom: 1px solid #dcd9d9
}

#experience {
    padding: 50px 15px;
    text-align: center;
    border-bottom: 1px solid #dcd9d9
}

#experience-timeline {
    margin: 30px auto 0 auto;
    position: relative;
    max-width: 1000px;
}

#experience-timeline:before {
    position: absolute;
    height: 100%;
    width: 3px;    
    top: 35px;
    bottom: 0;
    left: 303px;
    right: auto;
    z-index: 0;
    content: '';
    background: #CFD1D3;
}

#experience-timeline:after {
    position: absolute;
    width: 3px;
    height: 40px;
    top: 100%;
    left: 303px;
    content: '';
    background: #CFD1D3;
    background: linear-gradient(to bottom, #CFD1D3, rgba(40, 43, 43, 0));
}

.vtimeline-content {
    margin-left: 350px;
    padding: 2em;
    border-radius: 8px;
    background: #fff;
    text-align: left
}

.vtimeline-content h3 {
    display: inline-block;
    margin: 0;
    font-size: 1.1em;
    font-weight: 600;
    color: #374054;
}

.vtimeline-content h4 {
    margin: 0 0 15px 0;
    font-size: 1em;
    font-weight: 400;
    font-style: italic;
    color: #000;
}

.vtimeline-content p,
.vtimeline-content ul {
    margin: 0;
    padding: 0 0 0 15px;
    font-size: 0.95em;
    color: #000;
}

.vtimeline-point {
    position: relative;
    display: block;
    vertical-align: top;
    margin-bottom: 30px
}

.vtimeline-icon {
    position: relative;
    top: 35px;
    float: left;
    margin-left: 295px;
    z-index: 99;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #fff;
    border: 4px solid #CFD1D3;
}

.vtimeline-date {
    position: absolute;
    left: 0;
    top: 33px;
    width: 260px;
    text-align: right;
    font-weight: 300;
    color: #000;
}

#projects {
    padding: 60px 15px 60px 15px;
    border-bottom: 1px solid #dcd9d9;
    text-align: left;
}

.project {
    position: relative;
    overflow: hidden;
    background: transparent;
    padding-bottom: 1em;
}

.project-info {
    position: absolute;
    top: 30%;
    -webkit-transform: translateY(-30%);
    transform: translateY(-30%);
    margin-left: 320px;
}

.project-info p {
    text-align: left;
    color: #000;
}

.project-info h3{
    text-align: left;
    font-size: 1.1em;
    font-weight: 600;
    letter-spacing: 0.25px;
}

/* Footer content
*/
footer {
    padding: 50px 15px;
    text-align: left;
}

footer p{
    margin-left: 10px;
}

footer a:active {
    background-color: transparent;
    color: #3A539B;
}

.copyright {
    padding-top: 20px
}

.copyright p {
    margin: 0;
    color: #4e4e4e;
}

.top {
    text-align: center
}

.top span {
    display: block;
    cursor: pointer;
    width: 35px;
    height: 35px;
    margin: 15px auto 0 auto;
    border-radius: 50%;
    border: 3px solid #D8E2E9;
    background: #D8E2E9;
    text-align: center;
}

.top span:hover, span:focus {
    background: #007AE6;
    border-color: #007AE6;
    text-decoration: none;
}

.top i {
    color: #FFFFFF;
}

.top i:hover, i:focus {
    color: #fff;
}

.social {
    text-align: right
}

.social ul {
    margin: 5px 0 0 0;
    padding: 0
}

.social li {
    display: inline-block;
    list-style: none;
    font-size: 1em;
    letter-spacing: 0.5px;
}

.social a {
    display: block;
    padding: 0px 15px;
    margin-top: 15px;
}


/* Contact information
*/
#contact {
    padding: 50px 15px;
    text-align: center
}

#contact-form {
    max-width: 500px;
    margin: 30px auto;
    text-align: left;
}

#contact-form .form-control-label{
    margin-left: 2px;
    font-size: 0.95em;
    font-weight: 400;
}

#contact-form input,
#contact-form textarea {
    display: block;
    width: 100%;
    margin-top: 3px;
    margin-bottom: 10px;
    padding: 10px;
    border-radius: 6px;
    border: none;
    background: #fff;
    color: #000;
    transition: .35s ease all;
}

#contact-form input::-webkit-input-placeholder,
#contact-form textarea::-webkit-input-placeholder {
    margin-top: 0.5em;
    font-size: 0.85em;
    font-weight: 400;
    color: #555;
}

#contact-form input:-moz-placeholder,
#contact-form textarea:-moz-placeholder {
    color: #000;
    opacity: 1;
}

#contact-form input::-moz-placeholder,
#contact-form textarea::-moz-placeholder {
    color: #fff;
    opacity: 1
}

#contact-form input:-ms-input-placeholder,
#contact-form textarea:-ms-input-placeholder {
    color: #fff
}

#contact-form input:focus,
#contact-form textarea:focus {
    outline: none;
    background: #fff;
    border-color: #719ECE;
    box-shadow: 0 0 10px #C4D6DE;
}

#contact-form textarea {
    height: 150px;
    resize: none
}


/* Formatting for mobile view
*/
header.active {
    display: block;
    margin-top: -1em;
}

header.active li{
    width: 40%;
    margin: 0 auto;
}

#mobile-menu-open {
    display: none;
    cursor: pointer;
    position: absolute;
    margin-right: 15px;
    right: 0px;
    top: 50%;
    border-radius: 0.5em;
    border: 0px;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    padding: 0 7px;
    z-index: 20;
    font-size: 1.5em;
    color: #fff;
}

#mobile-menu-close {
    display: none;
    cursor: pointer;
    width: 100%;
    padding-right: 15px;
    padding-top: 10px;
    border-radius: 0px;
    border: 0px;
    text-align: right;
    font-size: 1.5em;
    color: #fff;
    background: #2B2B2B;
}

#mobile-menu-close:hover, #mobile-menu-close:focus {
    color: #B7CEEC;
}

#mobile-menu-close span,  #mobile-menu-open span{
    font-size: 0.6em;
    text-transform: uppercase;
    vertical-align: middle;
}

.mobile-only{
    display: none;
}


/* Tablet view: horizontal */
@media only screen and (max-width: 992px) {
    h1{
	padding-top: 0em;
    }
    #menu {
        transition: .35s ease all
    }
    #menu a {
        padding: 13px 6px
    }
    #lead-project {
        height: auto;
        min-height: auto;
    }
    #lead {
        height: auto;
        min-height: auto;
    }
    #lead-content {
        padding: 100px 15px;
        position: relative;
        -webkit-transform: none;
        transform: none;
        left: auto;
        top: auto
    }
    #lead-content h1 {
        font-size: 3em
    }
    #lead-content h2 {
        font-size: 1.25em
    }
    #about {
        text-align: center
    }
    #about p {
        text-align: left
    }
    .profilePicture {
        display: none
    }
    .noDisplay{
        display:none;
    }
    .navbar-bottom{
        display: none;
    }
    .mobile-only{
        display: inherit;
        margin: 30px 15px;
    }
    #footer p{
        text-align: center;
    }
    #project-main {
        padding: 10px 15px;
    }
    .col-offset-right-2{
        margin-right: 0px;
    }
    .project-info h3 {
    text-align: left;
    }
    .project-info .multiple-links{
    text-align: center;
    }
}

/* Tablet view: Vertical */
@media only screen and (max-width: 768px) {
    header {
        position: fixed;
        margin-right: 0px;
        left: 0;
        right: 0;
        display: none;
        z-index: 999;
        -webkit-animation: none;
        animation: none;
        bottom: 0;
        height: 100%
    }
    #mobile-menu-open,
    #mobile-menu-close {
        display: block
    }
    #menu {
        padding-right: 40px;
        height: 100%;
        overflow-y: auto;
        box-shadow: none;
        border-radius: 0;
        width: 100%;
        background: #2B2B2B
    }
    #menu a {
        display: block;
        color: #fff;
        opacity: 0.75;
        font-size: 13px;
        text-transform: uppercase;
        letter-spacing: 3px;
        font-weight: 400;
        font-style: normal;
        line-height: 1em;
        padding: 15px
    }
    #menu li {
        display: block;
        margin-bottom: 10px
    }
    #menu a:hover, a:focus {
        color: #B7CEEC;
    }
    #lead-content h1 {
        font-size: 2em
    }
    #lead-content h2 {
        font-size: 1.1em
    }
    #lead-content a {
        padding: 10px 20px
    }
    .project-info .link-rounded-gray{
        text-align: center;
        margin-top: 1.5em;
    } 
    .project-image {
        display: none
    }
    .project-image-half {
        display: none
    }
    .project-image-full {
        display: none
    }
    .project {
        margin: 0px auto;
    }
    .project-info {
        position: relative;
        margin: 0;
        top: auto;
        -webkit-transform: none;
        transform: none;
        top: 0%;
    }
    footer {
        text-align: center
    }
    .social {
        text-align: center
    }
    .screen-desc-right img{
        width:70%;
        display:block;
        margin-left: 16.666%;
        margin-bottom: 2em;
    }
    .screen-desc-right p, .screen-desc-right h2{
        margin-top: 0px;
        float: left;
        display:block;
        margin-bottom:0px;
    }
    .screen-desc-left img{
        width:70%;
        display:block;
        margin-right:15%;
        margin-bottom: 2em;
    }
    .screen-desc-left p, .screen-desc-left h2{
        margin-top: 0px;
        float: left;
        display:block;
    }
}

@media only screen and (max-width: 750px) {
    #experience-timeline:before,
    #experience-timeline:after {
        left: 23px
    }
    .vtimeline-date {
        width: auto;
        text-align: left;
        position: relative;
        margin-bottom: 50px;
        display: block;
        margin-left: 70px
    }
    .vtimeline-icon {
        margin-left: 15px
    }
    .vtimeline-content {
        margin-left: 70px
    }
}

@media only screen and (max-width: 480px) {
    #lead-content h1 {
        font-size: 1.5em
    }
    #lead-content h2 {
        font-size: 1em
    }
    #lead-content a {
        font-size: 0.9em;
        padding: 5px 10px
    }
}

@media (min-width: 600px) {
    .come-in-right {
        -webkit-transform: translateX(-150px);
        transform: translateX(-150px);
        -webkit-animation: come-in 1.2s ease forwards;
        animation: come-in 1.2s ease forwards
    }
    .come-in-up {
        -webkit-transform: translateY(150px);
        transform: translateY(150px);
        -webkit-animation: come-in 1.2s ease forwards;
        animation: come-in 1.2s ease forwards
    }
    .come-in-left {
        -webkit-transform: translateX(150px);
        transform: translateX(150px);
        -webkit-animation: come-in 1.2s ease forwards;
        animation: come-in 1.2s ease forwards
    }
    .come-in-left2 {
        -webkit-transform: translateX(300px);
        transform: translateX(300px);
        -webkit-animation: come-in 1.2s ease forwards;
        animation: come-in 1.2s ease forwards
    }
    .come-in-down {
        -webkit-transform: translateY(-50px);
        transform: translateY(-50px);
        -webkit-animation: come-in 1.2s ease forwards;
        animation: come-in 1.2s ease forwards
    }
    .come-in:nth-child(odd) {
        -webkit-animation-duration: 0.6s;
        animation-duration: 0.6s
    }
    .already-visible {
        -webkit-transform: translateY(0);
        transform: translateY(0);
        -webkit-animation: none;
        animation: none
    }
    @-webkit-keyframes come-in {
        0% {
            opacity: 0
        }
        100% {
            opacity: 1
        }
        to {
            -webkit-transform: translateY(0);
            transform: translateY(0)
        }
    }
    @keyframes come-in {
        0% {
            opacity: 0
        }
        100% {
            opacity: 1
        }
        to {
            -webkit-transform: translateY(0);
            transform: translateY(0)
        }
    }
}
